<p align="center">
<a href="https://github.com/formbricks/formbricks">
    <img src="https://user-images.githubusercontent.com/675065/201035557-a94a6bde-dff0-4bd3-9693-ec9257a9b1b3.svg" alt="Logo" width="500">
  </a>
  <h3 align="center">Formbricks</h3>

  <p align="center">
    The Open Source Forms & Survey Toolbox
    <br />
    <a href="https://formbricks.com/">Website</a>  |  <a href="https://formbricks.com/discord">Join Discord community</a>
  </p>
</p>

<p align="center">
<a href="https://github.com/formbricks/formbricks/blob/main/LICENSE"><img src="https://img.shields.io/badge/license-MIT-purple" alt="License"></a> <a href="https://formbricks.com/discord"><img src="https://img.shields.io/discord/979077669410979880?label=Discord&logo=discord&logoColor=%23fff" alt="Join Formbricks Discord"></a> <a href="https://github.com/formbricks/formbricks/stargazers"><img src="https://img.shields.io/github/stars/formbricks/formbricks?logo=github" alt="Github Stars"></a>
   <a href="https://news.ycombinator.com/item?id=32303986"><img src="https://img.shields.io/badge/Hacker%20News-122-%23FF6600" alt="Hacker News"></a>
   <a href="https://www.producthunt.com/products/snoopforms"><img src="https://img.shields.io/badge/Product%20Hunt-%232%20Product%20of%20the%20Day-orange?logo=producthunt&logoColor=%23fff" alt="Product Hunt"></a>
</p>

<br/>

> :octocat: Are you looking for snoopForms - the Open Source Typeform Alternative? We're building the next stage of the snoopForms evolution here with Formbricks - more modular, more open, and for all your form needs. If you still are looking for the code of snoopForms you can find it in the [snoopforms branch](https://github.com/formbricks/formbricks/tree/snoopforms).

> :warning: Repository still in progress `#buildinpublic`

## About Formbricks

![formbricks-twitter-header-open source forms and survey tools_smaller](https://user-images.githubusercontent.com/72809645/201055057-0883bbcf-86f2-4ea1-83f0-3a190a12f6cd.png)

We're building all essential form functionality so you don't have to. Modular, customizable, extendable. And open source.

### Mission: Stop rewriting existing code

We want to solve forms once and for all. If, in 10 years, a web developer rewrites core form functionality instead of building on top of our stack, we didn’t do our job. We want you to build your next big thing faster. Our big thing is the last form tool humanity needs. Hold us accountable!

[Read more in our blog](https://formbricks-com.vercel.app/blog/snoopforms-becomes-formbricks)

## Our Toolbox

Build a 'home-cooked' solution at the fraction of the time. We do the heavy lifting, you customize to your needs.

### React Forms Library

Building React forms has never been quicker. But there is more...

Loads of question types, validation, multi-page forms, logic jumps, i18n, custom styles - all the good stuff you want, but don't want to build yourself.
Building forms fast is great, but where do you pipe your data? And what is it worth without a schema?"

### Core API - The OS form engine

Your form looks perfect? Time to build integrations...

Our core API handles all of the submission handling of your forms and surveys. Our main objective is versatility, so that you can use it with any currently existing form. Soon we will integrate it with our React Form Builder. This allows for handling schemas so that you get a full image of your submission data.

### Features

- **Fast Form Creation**: Build complex forms with our React Lib. Our data pipes also work with any other form.
- **Data Pipelines**: Save your data where you need it. Use webhooks or pre-built integrations.
- **Powerful Data Insights**: View and manage your results quicker. Handle submissions in our dahsboard.
- **No-Code Builder**: Let your operators create and change forms. Stick with React to style and embed forms. `(coming soon)`
- **Built-in Analytics**: Opening rate, drop-offs, conversions. Use privacy-first analytics out of the box. `(coming soon)`
- **Survey Templates**: NPS, CSAT, Employee Surveys. Name your business objective, we have the questions. `(coming soon)`

### Why Formbricks

- **Futureproof**: Form needs change. With Formbricks you’ll avoid island solutions right from the start.
- **Privacy by design**: Self-host the entire product and fly through privacy compliance reviews.
- **Community driven**: We're building for you. If you need something specific, we’re happy to build it!
- **Great DX**: We love a solid developer experience. We felt your pain and do our best to avoid it.
- **Customizable**: We have to build opinionated. If it doesn't suit your need, just change it up.
- **Extendable**: Even though we try, we cannot build every single integration. With Formbricks, you can.

### Built With

- [Typescript](https://www.typescriptlang.org/)
- [Next.js](https://nextjs.org/)
- [React](https://reactjs.org/)
- [TailwindCSS](https://tailwindcss.com/)
- [Prisma](https://prisma.io/)

## Installation and usage

Coming soon - we will update this Readme in the weeks ahead and show you how to leverage all the advantages of Formbricks
